#!/usr/bin/env python

from scipy import sqrt, integrate, log

# fonctions utiles pour le calcul de la mobilite du champ phi
def h(x):
    return x**2*(3.-2.*x)

def zeta(fcc_alpha, fcc_beta, x, y):
    A = fcc_alpha
    B = fcc_beta
    return ( A * B * (x-y)**2 ) * integrate.quad(lambda z : h(z)*(1.-h(z)) / ( (1.-h(z))*A + h(z)*B ) / ( z*(1.-z) ), 0., 1.)[0]
                    
